io.vertx.ext.web.api

## Class OperationRequest

- java.lang.Object
- - io.vertx.ext.web.api.OperationRequest

-     public class OperationRequest
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OperationRequest()`
    `OperationRequest(JsonObject json)`
    `OperationRequest(JsonObject params, MultiMap headers, JsonObject user, JsonObject extra)`
    `OperationRequest(OperationRequest other)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JsonObject` | `getExtra()` Get extra payload
    `MultiMap` | `getHeaders()` Get request headers
    `JsonObject` | `getParams()` Get request parsedParameters as JSON
    `JsonObject` | `getUser()` Get request principal user as routingContext.user().principal(), null if no user is authenticated
    `OperationRequest` | `setExtra(JsonObject extra)`
    `OperationRequest` | `setHeaders(MultiMap headers)`
    `OperationRequest` | `setParams(JsonObject params)`
    `OperationRequest` | `setUser(JsonObject user)`
    `JsonObject` | `toJson()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OperationRequest

          public OperationRequest()

    - #### OperationRequest

          public OperationRequest(JsonObject json)

    - #### OperationRequest

          public OperationRequest(JsonObject params,
                                  MultiMap headers,
                                  JsonObject user,
                                  JsonObject extra)

    - #### OperationRequest

          public OperationRequest(OperationRequest other)

  - ### Method Detail

    - #### toJson

          public JsonObject toJson()

    - #### getParams

          public JsonObject getParams()

      Get request parsedParameters as JSON

    - #### getHeaders

          public MultiMap getHeaders()

      Get request headers

    - #### getUser

          public JsonObject getUser()

      Get request principal user as routingContext.user().principal(), null if no user is authenticated

    - #### getExtra

          public JsonObject getExtra()

      Get extra payload
      Returns:

    - #### setParams

          public OperationRequest setParams(JsonObject params)

    - #### setHeaders

          public OperationRequest setHeaders(MultiMap headers)

    - #### setUser

          public OperationRequest setUser(JsonObject user)

    - #### setExtra

          public OperationRequest setExtra(JsonObject extra)

Copyright © 2021 Eclipse. All rights reserved.